"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isURL_1 = __importDefault(require("validator/lib/isURL"));
const _1 = __importDefault(require("."));
class Url extends _1.default {
    getErrors(name) {
        if (!(0, isURL_1.default)(this.input)) {
            return [{ name, error: 'URLの形式が正しくありません' }];
        }
        return undefined;
    }
    compare(value) {
        return this.value.localeCompare(value.value);
    }
}
exports.default = Url;
//# sourceMappingURL=url.js.map